# ETableScrolled

## Name

ETableScrolled --

## Synopsis

    #define     E_TABLE_SCROLLED_TYPE
    typedef     ETableScrolled;
    ETableScrolled* e_table_scrolled_construct  (ETableScrolled *ets,
                                                 ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec,
                                                 const char *state);
    GtkWidget*  e_table_scrolled_new            (ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec,
                                                 const char *state);
    ETableScrolled* e_table_scrolled_construct_from_spec_file
                                                (ETableScrolled *ets,
                                                 ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec_fn,
                                                 const char *state_fn);
    GtkWidget*  e_table_scrolled_new_from_spec_file
                                                (ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec_fn,
                                                 const char *state_fn);
    ETable*     e_table_scrolled_get_table      (ETableScrolled *ets);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----EScrollFrame
                               +----ETableScrolled

## Properties

      "table"                GtkObject             : Read

## Description

## Details

### E_TABLE_SCROLLED_TYPE

    #define E_TABLE_SCROLLED_TYPE        (e_table_scrolled_get_type ())

### ETableScrolled

    typedef struct {
    	EScrollFrame parent;

    	ETable *table;
    } ETableScrolled;

### e_table_scrolled_construct ()

    ETableScrolled* e_table_scrolled_construct  (ETableScrolled *ets,
                                                 ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec,
                                                 const char *state);

`ets` : |
`etm` : |
`ete` : |
`spec` : |
`state` : |
Returns : |

### e_table_scrolled_new ()

    GtkWidget*  e_table_scrolled_new            (ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec,
                                                 const char *state);

`etm` : |
`ete` : |
`spec` : |
`state` : |
Returns : |

### e_table_scrolled_construct_from_spec_file ()

    ETableScrolled* e_table_scrolled_construct_from_spec_file
                                                (ETableScrolled *ets,
                                                 ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec_fn,
                                                 const char *state_fn);

`ets` : |
`etm` : |
`ete` : |
`spec_fn` : |
`state_fn` : |
Returns : |

### e_table_scrolled_new_from_spec_file ()

    GtkWidget*  e_table_scrolled_new_from_spec_file
                                                (ETableModel *etm,
                                                 ETableExtras *ete,
                                                 const char *spec_fn,
                                                 const char *state_fn);

`etm` : |
`ete` : |
`spec_fn` : |
`state_fn` : |
Returns : |

### e_table_scrolled_get_table ()

    ETable*     e_table_scrolled_get_table      (ETableScrolled *ets);

`ets` : |
Returns : |

## Properties

### The "`table`" property

      "table"                GtkObject             : Read